# Audiolibs
> Disusun untuk memenuhi Tugas Besar Milestone 1 - Monolitic PHP & Vanilla Web Application IF3110 Pengembangan Aplikasi Berbasis Web

## Daftar Isi
* [Deskripsi Aplikasi Web](#deskripsi-aplikasi-web)
* [Daftar Requirement](#daftar-requirementt)
* [Cara Instalasi](#cara-instalasi)
* [Cara Menjalankan Server](#cara-menjalankan-server)
* [Screenshot Tampilan Aplikasi](#screenshot-tampilan-aplikasi)
* [Pembagian Tugas](#deskripsi-aplikasi-web)

## Deskripsi Aplikasi Web
Aplikasi ini adalah aplikasi perpustakaan audiovisual. Di dalam aplikasi ini, pengguna dapat membaca buku yang telah disediakan oleh aplikasi. Selain membaca, pengguna juga dapat mendengarkan isi buku dengan narasi yang sudah disediakan oleh aplikasi pada setiap buku. Aplikasi ini dibuat dengan PHP murni beserta HTML, CSS, dan Javascript. DBMS yang digunakan adalah MySQL. 

## Daftar Requirement
1. Login
2. Register
3. Daftar Buku (Booklist)
4. Detail Buku
5. Bookmark
6. Search, Sort, dan Filter
7. Tambah, Edit, dan Hapus Buku
8. Tambah, Edit, dan Hapus User
9. Tambah, Edit, dan Hapus Author

## Cara Instalasi
1. Unduh _repository_ ini dengan menggunakan perintah 
`git clone https://gitlab.informatika.org/kenndave/tugas-besar-1.git`
2. Pastikan Anda telah melakukan instalasi Docker Desktop pada komputer Anda. Jika belum, Docker Desktop dapat diunduh pada link berikut:
`https://www.docker.com/products/docker-desktop/`
3. Lakukan pembuatan _image_ Docker yang akan digunakan oleh aplikasi dengan menjalankan perintah `docker build -t tubes-1:latest .` pada terminal _directory_ aplikasi

## Cara Menjalankan Server
1. Jalankan Docker Engine pada komputer Anda
2. Program dapat dijalankan dengan menjalankan perintah `docker compose up -d` pada terminal _directory_ aplikasi
3. Aplikasi web dapat diakses dengan menggunakan browser pada URL `http://localhost:8080/public/login`
4. Aplikasi web dapat dihentikan dengan menjalankan perintah `docker compose down` pada terminal _directory_ aplikasi

## Screenshot Tampilan Aplikasi

### Login
![Login Page](./screenshots/login-page.png)

### Register
![Register Page](./screenshots/register-page.png)

### Daftar Buku (Booklist)
![Booklist Page](./screenshots/booklist-page.png)

### Detail Buku
![Detail Book Page](./screenshots/detail-book.png)

### Bookmark
![Bookmark Page](./screenshots/bookmark-page.png)

### Search, Sort, dan Filter
![Search, Sort, and Filter](./screenshots/search-sort-filter.png)

### Tambah, Edit, dan Hapus Buku
![Book Page](./screenshots/book-admin-page.png)
![Add Book](./screenshots/add-book.png)
![Edit Book](./screenshots/edit-book.png)

### Tambah, Edit, dan Hapus User
![User Admin Page](./screenshots/user-admin-page.png)
![Add User](./screenshots/add-user-page.png)
![Edit User](./screenshots/edit-user.png)
![Delete User](./screenshots/delete-user.png)

### Tambah, Edit, dan Hapus Author
![Author Admin Page](./screenshots/author-page.png)
![Add Author](./screenshots/add-author.png)
![Edit Author](./screenshots/edit-author.png)
![Delete Author](./screenshots/delete-author.png)

## Pembagian Tugas
_Server Side_

| Fitur                              | NIM                                       |
| ---------------------------------- | ----------------------------------------- |
| Login                              | 13521152, 13521145                        |
| Register                           | 13521145                                  |
| Booklist                           | 13521152                                  |
| Detail Buku                        | 13521152                                  |
| Bookmark                           | 13521152                                  |
| Search, Sort, dan Filter           | 13521145, 13521152                        |
| Tambah, Edit, dan Hapus Buku       | 13521145, 13521042                        |
| Tambah, Edit, dan Hapus User       | 13521145                                  |
| Tambah, Edit, dan Hapus Author     | 13521152, 13521145                        |

_Client Side_

| Fitur                              | NIM                                       |
| ---------------------------------- | ----------------------------------------- |
| Login                              | 13521145                                  |
| Register                           | 13521042                                  |
| Booklist                           | 13521145, 13521152                        |
| Detail Buku                        | 13521042                                  |
| Bookmark                           | 13521152                                  |
| Search, Sort, dan Filter           | 13521145, 13521152                        |
| Tambah, Edit, dan Hapus Buku       | 13521145, 13521042                        |
| Tambah, Edit, dan Hapus User       | 13521145, 13521042                        |
| Tambah, Edit, dan Hapus Author     | 13521152                                  |