<?php
session_start();

class Login extends Controller
{
    public function index($page = 1)
    {
        if (isset($_SESSION['user_role']) && $_SESSION['user_role'] === 'user') {
            $limit = 10;
            $page = intval($page);
            $offset = ($page - 1) * $limit;
            $offset = intval($offset);
            $data['book'] = $this->model('BookModel')->getAllBookList($limit, $offset);
            
            $this->view('library/booklist', $data);
        } else {
            $this->view('login/login');
        }
    }

    public function login()
    {
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            // Handle form submission
            $username = $_POST['username'];
            $password = $_POST['password'];
            $this->model('UserModel')->getAllUser();
           
            
            if ($this->authenticateUser($username, $password)) {
                $_SESSION['user_role'] = 'user';
                $_SESSION['username'] = $username;
                $id = $this->model('UserModel')->getUserByUsername($username);
                $_SESSION['id'] = $id['id'];

                header('Location:' . BASEURL . '/user/index');
                exit;
            } else if ($this->authenticateAdmin($username, $password)) {
                $_SESSION['user_role'] = 'admin';
                $_SESSION['username'] = $username;

                header('Location: ' . BASEURL . '/admin/index');
                exit;
            } else {
                // Authentication failed, display an error message
                $data['error'] = 'Invalid username or password';
                $this->view('login/login', $data);
            }
        } else {
            // Display the login form
            $this->view('login/login');
        }
    }

    public function logout()
    {
        session_destroy();
        header('Location: ' . BASEURL . '/login/index');
        exit;
    }

    // Add a method to authenticate the user against your database
    private function authenticateUser($username, $password)
    {
        $user = $this->model('UserModel')->getUserByUsername($username);
        if ($user && isset($user['password'])) {
            $hashedPassword = password_hash($user['password'], PASSWORD_DEFAULT);
            if (password_verify($password, $hashedPassword)) {
                return true;
            }
        }
        return false;
    }

    private function authenticateAdmin($username, $password)
    {
        $user = $this->model('UserModel')->getAdminByUsername($username);
        if ($user && isset($user['password'])) {
            $hashedPassword = password_hash($user['password'], PASSWORD_DEFAULT);
            if (password_verify($password, $hashedPassword)) {
                return true;
            }
        }
        return false;
    }
}
