<?php

class Register extends Controller
{
    public function index()
    {
        $this->view('register/register');
    }

    public function register()
    {
        try {
            if ($_SERVER['REQUEST_METHOD'] === 'POST') {
                // isi form
                $username = $_POST['newUsername'];
                $password = $_POST['newPassword'];
                $confirmPassword = $_POST['confirmPassword'];

                // Cek dulu password & confirm passwordnya sama
                if ($password !== $confirmPassword) {
                    throw new Exception("Password and confirm password do not match.");
                }

                // Fetch data from the database to check for existing usernames
                $data['user'] = $this->model('UserModel')->getAllUser();
                $array = array_column($data['user'], "username");

                // Cek if the username already exists
                if (!in_array($username, $array, true)) {
                    // User does not exist, insert into the database
                    $this->model('UserModel')->insertUser($username, $password);

                    // Successfully registered, redirect to the login page
                    header('Location:' . BASEURL . '/login/index');
                    exit;
                } else {
                    throw new Exception("Username already exists.");
                }
            } else {
                throw new Exception("Invalid request.");
            }
        } catch (Exception $e) {
            $error_message = $e->getMessage();
            $this->view('error/error', ['error' => $error_message]);
        }
    }
}
