<!DOCTYPE html>


    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name = "viewport" content="width=device-width, initial-scale=1.0">
        <title> Admin Page </title>
        <link rel ="stylesheet" href="../../../public/style/sidebar.css">
        <link rel ="stylesheet" href="../../../public/style/bookadmin.css">
        <link href='https://fonts.googleapis.com/css?family=Italianno' rel='stylesheet'>
        <link href='https://fonts.googleapis.com/css?family=Hanuman' rel='stylesheet'>
        <link href='https://unpkg.com/boxicons@2.0.9/css/boxicons.min.css' rel='stylesheet'>
    </head>
    <body>
        <?php
            include(__DIR__ . '/sidebar.php');
        ?>
        
        <div class="top-section">
            <h1 class="title">Book</h1>
            <button class="add-btn" onclick="addBook()">Add Book</button>
        </div>
        
        <div class="overlay" id="overlay"></div>
        <div style="overflow-x: auto;">
            <table id="books">
                <!-- Judul-judul kolom -->
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>title</th>
                        <th>category</th>
                        <th>author name</th>
                        <th>action</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($data['book'] as $row): ?>
                        <?php 
                            
                            $id = $row['id'];
                            $title = $row['title'];
                            $category = $row['category'];
                            $author_name = $row['name'];
                            $content = $row['content'];

                        ?>
                        <tr>
                            <td><?php echo $id;?></td>
                            <td><?php echo $title;?></td>
                            <td><?php echo $category;?></td>
                            <td><?php echo $author_name;?></td>
                            <td>
                                <button class="editbook" onclick="editBook('<?php echo $title; ?>', '<?php echo $category; ?>', '<?php echo $author_name; ?>', '<?php echo $content; ?>', '<?php echo $id?>')">
                                    Edit
                                </button>
                                <button class="deletebook" onclick="deleteBook('<?php echo $id; ?>')">
                                    Delete
                                </button>
                            </td>

                            <div id="editpopup" class="edit-popup">
                                <form id="editForm" method="post" enctype="multipart/form-data" action='<?php echo BASEURL; ?>/admin/editBook'>
                                <input type="hidden" id = "bookid" name="bookid">
                                <input type="hidden" id = "oldtitle" name="oldTitle">
                                    <div class="horizontal-component">
                                        <div class="title-input">
                                            <input type="text" id='title' name="newTitle" placeholder="Enter new title..." class="input-text">
                                        </div>
                                        <select class="author-input" id="author" name="selectedAuthor">
                                            <?php foreach ($data['author'] as $item):?>
                                                <option> <?php echo $item["name"];?> </option>;
                                            <?php endforeach;?>
                                        </select>
                                        <select class="category-input"id="category" name="selectedCategory">
                                            <option>Category A</option>
                                            <option>Category B</option>
                                            <option>Category C</option>
                                            <option>Category D</option>
                                            <option>Category E</option>
                                        </select>
                                    </div>
                                    <div class="content-input">
                                        <input type="text" class="input-text" id="content" name="newContent" type="text" placeholder="Enter new content..." name="search">
                                    </div>
                                    <div class="horizontal-component">
                                        <input type="file" id="fileInputAudioAdd" name="audio" accept=".mp3">
                                        <label for="fileInputAudio" class="audio-input">Upload Audio</label>
                                        <input type="file" id="fileInputPictureAdd" name="image" accept=".png, .jpg, .jpeg">
                                        <label for="fileInputPicture" class="picture-input">Upload Picture</label>
                                    </div>
                                </form>
                                <div class="add-submission">
                                    <button class="submit-button" onclick="submitEditForm()">Update</button>
                                    <button class="cancel-button" onclick="closeEditPopUp()">Cancel</button>
                                </div>
                            </div>
                                    
                            <div class="delete-popup" id="deletepopup">
                                <p>
                                    Are you sure want to delete this book?
                                </p>
                                <form id="deleteForm" method="post" action='<?php echo BASEURL; ?>/admin/deleteBook'>
                                    <input type="hidden" id = "deleteid" name="deleteId">
                                </form>
                                <div class="add-submission">
                                    <button class="submit-button" onclick=deleteForm()>Delete</button>
                                    <button class="cancel-button" onclick=closeDeletePopup()>Cancel</button>
                                </div>
                            </div>
                        </tr>
                    <?php endforeach;?>
                </tbody>
            </table>
        </div>
        <div class="add-popup" id="addpopup">
            <form id="addForm" method="post" enctype="multipart/form-data" action='<?php echo BASEURL; ?>/admin/addBook'>
                <div class="horizontal-component">
                    <div class="title-input">
                        <input type="text" id='titleadd' name="addTitle" placeholder="Add title..." class="input-text">
                    </div>
                    <select class="author-input" id="authoradd" name="pickedAuthor">
                        <?php foreach ($data['author'] as $item):?>
                            <option> <?php echo $item["name"];?> </option>;
                        <?php endforeach;?>
                    </select>
                    <select class="category-input" id="categoryadd" name="pickedCategory">
                        <option>Category A</option>
                        <option>Category B</option>
                        <option>Category C</option>
                        <option>Category D</option>
                        <option>Category E</option>
                    </select>
                </div>
                <div class="content-input">
                    <input type="text" class="input-text" id="contentadd" name="addContent" type="text" placeholder="Add content.." name="search">
                </div>
                
                <div class="horizontal-component">
                    <input type="file" id="fileInputAudioAdd" name="addAudio" accept=".mp3">
                    <label for="fileInputAudioAdd" class="audio-input">Upload Audio</label>
                    <input type="file" id="fileInputPictureAdd" name="addImage" accept=".png, .jpg, .jpeg">
                    <label for="fileInputPictureAdd" class="picture-input">Upload Picture</label>
                </div>
            </form>
            <div class="add-submission">
                <button type="submit" name="submit" class="submit-button" onclick="submitAddForm()" value="Upload">Submit</button>
                <button class="cancel-button" onclick="closeAddPopup()">Cancel</button>
            </div>
        </div>

        
        <script src="<?php echo BASEURL; ?>/js/bookadmin.js"></script>
    </body>
</html>
