<!DOCTYPE html>
<html lang="en">

<?php
    $currentUrl = $_SERVER['REQUEST_URI'];

    // Parse the URL and get the path
    $urlParts = parse_url($currentUrl);

    if (isset($urlParts['path'])) {
        // Split the path into segments
        $pathSegments = explode('/', trim($urlParts['path'], '/'));

        // Get the last segment (rightmost element)
        $lastSegment = end($pathSegments);

    }
    ?>
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name = "viewport" content="width=device-width, initial-scale=1.0">
    <title> Navbar</title>
    <link rel ="stylesheet" href="http://localhost:8080/public/style/navbar.css">
    <link href='https://fonts.googleapis.com/css?family=Italianno' rel='stylesheet'>
    <link href='https://fonts.googleapis.com/css?family=Hanuman' rel='stylesheet'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    
    <script src="https://kit.fontawesome.com/67c66657c7.js"></script>
</head>

<body>
    <input type="checkbox" id="check">
    
    <nav>
        <div class="icon">AudioLib</div>
        <?php
        if($lastSegment == 'bookmark' || $lastSegment == 'bookmarkSearch'){
            $searching = 'bookmarkSearch';
        }
        else{
            $searching = 'booklistSearch';
        }
        ?>
        <form id="searchForm" method="post" action="<?php echo BASEURL; ?>/user/<?php echo $searching; ?>">
            <div class="search_box">
                <input type="search" id="searchInput" name="search" placeholder="Search">
                <span class="fa fa-search"></span>
            </div>

            <select id="sortSelect" name = "sortSelect">
                <option value="none">None</option>
                <option value="title">Title</option>
                <option value="author">Author</option>
                
            </select>
            <select id="sortOrder" name = "sortOrder">
                <option value="descending">Descending</option>
                <option value="ascending">Ascending</option>
            </select>
            <button type="button" id="sortButton" onclick="toggleSortImage()">
                <img id="sortImage" src="<?php echo BASEURL; ?>/img/desc-sort.png" alt="Sort Image">
            </button>


            <select id="filterSelect" name = "filterSelect">
                <option value="none">None</option>
                <option value="category">Category</option>
                <option value="availability">Availability</option> 
            </select>

            <select id="filterQuery" name = "filterQuery">
                <!-- Options will be dynamically populated here -->
            </select>

                
        </form>

        <ol>
            <?php
            if (isset($_SESSION['user_role'])) {
                if ($_SESSION['user_role'] === 'user') {
                    echo '<li><a href="' . BASEURL . '/user/">Browse</a></li>';
                    echo '<li><a href="' . BASEURL . '/user/bookmark">Bookmark</a></li>';
                    echo '<li><a href="' . BASEURL . '/login/logout">Log Out</a></li>';
                } 
            } else {
                echo '<li><a href="' . BASEURL . '/user/">Browse</a></li>';
                echo '<li><a href="' . BASEURL . '/user/bookmark">Bookmark</a></li>';
                echo '<li><a href="' . BASEURL . '/login">Login</a></li>';
                echo '<li><a href="' . BASEURL . '/register">Sign Up</a></li>';
            }
            ?>
        </ol>


        <label for="check" class="bar">
            <span class="fa fa-bars" id="bars"></span>
            <span class="fa fa-times" id="times"></span>
        </label>
    </nav>
    <script src="<?php echo BASEURL; ?>/js/navbar.js"></script>
    