

const BASEURL = 'http://localhost:8080/public'; // Define the base URL
const imageSources = [
    `${BASEURL}/img/desc-sort.png`,
    `${BASEURL}/img/asc-sort.png`
    // Add more images with the same pattern
];

let currentIndex = 0; // Initialize the current image index

// Function to toggle the sort image and select option
function toggleSortImage() {
    const sortImage = document.getElementById('sortImage');
    const sortOrder = document.getElementById('sortOrder');

    // Toggle the image source and select value
    currentIndex = (currentIndex + 1) % imageSources.length; // Cycle through images
    sortImage.src = imageSources[currentIndex];

    // Debugging statements
    console.log('currentIndex:', currentIndex);
    console.log('sortImage.src:', sortImage.src);
    console.log('sortOrder.value:', sortOrder.value);

    // Update the hidden select element's value based on the current image
    if (sortImage.src.endsWith('desc-sort.png')) {
        sortOrder.value = 'descending';
    } else {
        sortOrder.value = 'ascending';
    }
}

// Get references to the select elements
const filterSelect = document.getElementById('filterSelect');
const filterQuery = document.getElementById('filterQuery');

// Define the options for each filter
const filterOptions = {
    category: ['Fantasy', 'Slice of Life', 'Romance', 'Mystery', 'Adventure'], // Replace with your category options
    availability: ['In Stock', 'Out'], // Replace with your availability options
};

// Function to update the options in filterQuery based on filterSelect's value
function updateFilterOptions() {
    // Get the selected value of filterSelect
    const selectedFilter = filterSelect.value;

    // Clear existing options in filterQuery
    filterQuery.innerHTML = '';

    // Populate filterQuery with options based on the selected filter
    filterOptions[selectedFilter].forEach(optionValue => {
        const option = document.createElement('option');
        option.value = optionValue;
        option.textContent = optionValue;
        filterQuery.appendChild(option);
    });
}

// Add an event listener to filterSelect to update filterQuery options
filterSelect.addEventListener('change', updateFilterOptions);

// Initial call to populate filterQuery based on the default value of filterSelect
updateFilterOptions();
